Rem
	map processor for demolition derby
	
	purpose: this program opens up a FMP file and 
	generates collision code based on the map data.
EndRem

Import PUB.Mappy

Global map:MappyMap = New MappyMap

Const DEBUG = 1

Type MapBlock
	Field Collide = False
	Field Direction = 0
EndType

file$ = Input("Mappy File Name: ")
mapName$ = Input("Output File Name (.ddm): ")
Print "loading...please wait"

map.MapLoad("Arenas/"+file$+".FMP")

loops = Int(Input("How Many Boxes Are You Making? "))

Global report=WriteStream("Arenas/"+mapName$+".ddm")

WriteLine report,"*******************************************"
WriteLine report,"** DEMOLITION DERBY MAP FILE"
WriteLine report,"**"
WriteLine report,"** MAP VERSION: 1.0"
WriteLine report,"*******************************************"
WriteLine report,mapName$
WriteLine report,String(Loops)

For x = 1 To loops
	temp = Int(Input("Start BB #"+x+" X Block: "))
	temp2 = Int(Input("Start BB #"+x+" Y Block: "))
	temp3 = Int(Input("End BB #"+x+" X Block: "))
	temp4 = Int(Input("End BB #"+x+" Y Blbock: "))
	WriteLine report,temp
	WriteLine report,temp2
	WriteLine report,temp3
	WriteLine report,temp4
Next

Print "collision processing complete..."

healthPacks = Int(Input("How Many Health Packs Are You Making? "))

WriteLine report,String(healthPacks)

For x = 1 To healthPacks
	temp = Int(Input("Health Pack #"+x+" X Block: "))
	temp2 = Int(Input("Health Pack #"+x+"+ Y Block: "))
	WriteLine report,temp
	WriteLine report,temp2
Next

Print "healthpack processing complete..."

weaponPacks = Int(Input("How Many Weapon Packs Are You Making? "))

WriteLine report,String(weaponPacks)

For x = 1 To weaponPacks
	temp = Int(Input("Weapon Pack #"+x+" X Block: "))
	temp2 = Int(Input("Weapon Pack #"+x+"+ Y Block: "))
	WriteLine report,temp
	WriteLine report,temp2
Next

Print "weaponpack processing complete..."

respawnPoints = Int(Input("How Many Respawn Points Are You Making? "))

WriteLine report,String(respawnPoints)

For x = 1 To respawnPoints
	temp = Int(Input("Respawn Points #"+x+" X Block: "))
	temp2 = Int(Input("Respawn Points #"+x+" Y Block: "))
	temp3 = Int(Input("Respawn Point Team (1-4, 0 = None): "))
	WriteLine report,temp
	WriteLine report,temp2
	WriteLine report,temp3
Next

Print "respawnpoints processing complete..."

secondaryPoints = Int(Input("How Many Secondary Weapon Packs are you making? "))

WriteLine report,String(secondaryPoints)

For x = 1 To secondaryPoints
	temp = Int(Input("secondary Points #"+x+" X Block: "))
	temp2 = Int(Input("secondary Points #"+x+" Y Block: "))
	temp3 = Int(Input("secondary Point Team (1-4, 0 = None): "))
	WriteLine report,temp
	WriteLine report,temp2
	WriteLine report,temp3
Next

Print
Print
Print

Print "processing complete. have a nice day =)"