' Demolition Derby Music Player Code File
' MUSIC PLAYER NOTES:
' - Supports .WAV and .OGG (Ogg Vorbis) files.

Global MUSIC_CHANNEL:TChannel = AllocChannel()
Global fileNum:Int
Global musicFiles:TSound[]
Global files$[]

' Define our "music folder", out of which the code
' will grab all of our handy-dandy music! Woot.
Global MUSIC_FOLDER:String = "mp3/"

Function CreatePlaylist()

	ChangeDir(MUSIC_FOLDER)
	files=LoadDir(CurrentDir())
	ChangeDir("..")
	musicFiles = New TSound[files.length]

	For t$=EachIn files
		If t$ <> "" Then musicFiles[fileNum] = LoadSound(MUSIC_FOLDER+t$)
		fileNum:+1
		Print t$
	Next

EndFunction

Function PlayMusic()
	If Not ChannelPlaying(MUSIC_CHANNEL)
		Local tempVal:Int = Rnd(0,fileNum-1)
		ConsoleMessage.Create("["+CurrentTime$()+"] Playing song '"+files$[tempVal]+"'",SYS_MSG)
		MUSIC_CHANNEL = PlaySound(musicFiles[tempVal])
	Else
		Return
	EndIf
EndFunction