' demolition derby GUI stuff
Global mainMenuScreen:fry_TScreen
Global optionsMenuScreen:fry_TScreen
Global matchSetupScreen:fry_TScreen
Global matchResultsScreen:fry_TScreen
Global mainMenuPanel:fry_TPanel
Global optionsMenuPanel:fry_TPanel
Global startBattleB:fry_TButton
Global multiplayerBattleB:fry_TButton
Global optionsB:fry_TButton
Global quitB:fry_TButton
Global defaultOptionsB:fry_TButton
Global qualitySlider:fry_TSlider
Global sfxSlider:fry_TSlider
Global musicslider:fry_TSlider
Global nameField:fry_TTextField
Global saveOptionsB:fry_TButton
Global matchSetupPanel:fry_TPanel
Global matchResultsPanel:fry_TPanel
Global ai1combo:fry_TComboBox
Global ai2combo:fry_TComboBox
Global ai3combo:fry_TComboBox
Global ai4combo:fry_TComboBox
Global ai5combo:fry_TComboBox
Global ai1teamcombo:fry_TComboBox
Global ai2teamcombo:fry_TComboBox
Global ai3teamcombo:fry_TComboBox
Global ai4teamcombo:fry_TComboBox
Global ai5teamcombo:fry_TComboBox
Global startMatchB:fry_TButton
Global defaultMatchB:fry_TButton
Global saveDefaultMatchB:fry_TButton
Global gameTypeCombo:fry_TComboBox
Global mapCombo:fry_TComboBox
Global vehicleCombo:fry_TComboBox
Global plyrTeamCombo:fry_TComboBox
Global resultsTable:fry_TTable
Global continueMatchB:fry_TButton
Global scoreLimitEdit:fry_TTextField
Global timeLimitEdit:fry_TTextField
Global penaltyEdit:fry_TTextField
Global miniMapCheck:fry_TCheckBox

Function InitializeGUI()
	fry_SetResolution(1024,768)
	fry_SystemCursor(False)
	
	fry_LoadSkin("Skin")

	fry_AddFont("Default", "trebucbd.ttf", 12)
	fry_AddFont("Large", "trebucbd.ttf", 24)
	
	mainMenuScreen = fry_CreateScreen("Main Menu")
	optionsMenuScreen = fry_CreateScreen("Options Menu")
	matchSetupScreen = fry_CreateScreen("Match Setup")
	matchResultsScreen = fry_CreateScreen("Match Results")

	mainMenuPanel = fry_CreatePanel("Main Menu Panel", 0, 100, GraphicsWidth(), 35)
	optionsMenuPanel = fry_CreatePanel("Options Menu Panel", 362, 200, 300, 400)
	matchSetupPanel = fry_CreatePanel("Match Setup Panel",100,200,GraphicsWidth()-200,250)
	matchResultsPanel = fry_CreatePanel("Match Results Panel",100,200,GraphicsWidth()-200,200)
	
	mainMenuPanel.HexColour("3f3d3d")
	optionsMenuPanel.HexColour("3f3d3d")
	matchSetupPanel.HexColour("3f3d3d")
	matchResultsPanel.HexColour("3f3d3d")

	mainMenuScreen.AddPanel(mainMenuPanel)
	optionsMenuScreen.AddPanel(optionsMenuPanel)
	optionsMenuScreen.AddPanel(mainmenuPanel)
	matchSetupScreen.AddPanel(matchSetupPanel)
	matchSetupScreen.AddPanel(mainMenuPanel)
	matchResultsScreen.AddPanel(matchResultsPanel)
	matchResultsScreen.AddPanel(mainMenuPanel)

	' Main Menu GUI
	startBattleB = fry_CreateButton("startBattleB", "Instant Battle", 10, 5, 100, 25, mainMenuPanel)
	OptionsB = fry_CreateButton("optionsB", "Game Options", 120, 5, 100, 25, mainMenuPanel)
	quitB = fry_CreateButton("quitB", "Exit Game", GraphicsWidth()-105, 5, 100, 25, mainMenuPanel)
	
	optionsB.SetLink(optionsMenuScreen)
	startBattleB.SetLink(matchSetupScreen)
	
	' Options Menu GUI
	qualityTitle:fry_TLabel = fry_CreateLabel("gfx title", "Graphic Detail:", 10, 25, 780, 80, 0, 0, optionsMenuPanel)
	qualitySlider = fry_CreateSlider("gfx slider", 140, 25, 150, True, 0, 2, 1, optionsMenuPanel)
	
	sfxTitle:fry_TLabel = fry_CreateLabel("sfx title", "SFX Volume:", 10, 75, 780, 80, 0, 0, optionsMenuPanel)
	sfxSlider = fry_CreateSlider("sfx slider", 140, 75, 150, True, 0, 9, 1, optionsMenuPanel)
	
	musicTitle:fry_TLabel = fry_CreateLabel("music title", "Music Volume:", 10, 125, 780, 80, 0, 0, optionsMenuPanel)
	musicSlider = fry_CreateSlider("music slider", 140, 125, 150, True, 0, 9, 1, optionsMenuPanel)
	
	nameTitle:fry_TLabel = fry_CreateLabel("name title", "Player Name:", 10, 175, 780, 80, 0, 0, optionsMenuPanel)
	nameField = fry_CreateTextField("playerName", "DemoDerby Newbie", 140, 172, 150, 24, False, optionsMenuPanel)
	
	saveOptionsB = fry_CreateButton("saveOptionsB", "Apply", 10, 350, 85, 24, optionsMenuPanel)
	defaultOptionsB = fry_CreateButton("defaultOptionsB","Defaults",200,350,85,24,optionsMenuPanel)
	
	' Match Setup Menu GUI
	
	aiTitle:fry_TLabel = fry_CreateLabel("ai title", "Computer Opponents", 230, 80, 100, 24, 0, 0, matchSetupPanel)
	ai1Combo = fry_CreateComboBox("a1combo", "AI #1", 230, 100, 150, 24, 150, 200, 18, matchSetupPanel)
	ai2Combo = fry_CreateComboBox("a2combo", "AI #2", 230, 130, 150, 24, 150, 200, 18, matchSetupPanel)
	ai3Combo = fry_CreateComboBox("a3combo", "AI #3", 230, 160, 150, 24, 150, 200, 18, matchSetupPanel)
	ai4Combo = fry_CreateComboBox("a4combo", "AI #4", 230, 190, 150, 24, 150, 200, 18, matchSetupPanel)
	ai5Combo = fry_CreateComboBox("a5combo", "AI #5", 230, 220, 150, 24, 150, 200, 18, matchSetupPanel)
	
	teamTitle:fry_TLabel = fry_CreateLabel("team title", "Team", 400, 80, 100, 24, 0, 0, matchSetupPanel)
	ai1teamCombo = fry_CreateComboBox("a1teamcombo", "", 400, 100, 50, 24, 150, 200, 18, matchSetupPanel)
	ai2teamCombo = fry_CreateComboBox("a2teamcombo", "", 400, 130, 50, 24, 150, 200, 18, matchSetupPanel)
	ai3teamCombo = fry_CreateComboBox("a3teamcombo", "", 400, 160, 50, 24, 150, 200, 18, matchSetupPanel)
	ai4teamCombo = fry_CreateComboBox("a4teamcombo", "", 400, 190, 50, 24, 150, 200, 18, matchSetupPanel)
	ai5teamCombo = fry_CreateComboBox("a5teamcombo", "", 400, 220, 50, 24, 150, 200, 18, matchSetupPanel)
	
	gameTypeTitle:fry_TLabel = fry_CreateLabel("game type title", "Game Type", 10, 10, 100, 24, 0, 0, matchSetupPanel)
	gameTypeCombo:fry_TComboBox = fry_CreateComboBox("gametypecombo", "Select Game Type", 10, 30, 150, 24, 150, 200, 18, matchSetupPanel)
	
	scoreLimitTitle:fry_TLabel = fry_CreateLabel("score limit title", "Kill/Score Limit:", 10, 70, 100, 24, 0, 0, matchSetupPanel)
	scoreLimitEdit = fry_CreateTextField("score limit edit", "5", 135, 65, 25, 20, False, matchSetupPanel)
	
	timeLimitTitle:fry_TLabel = fry_CreateLabel("time limit title", "Time Limit:", 10, 90, 100, 24, 0, 0, matchSetupPanel)
	timeLimitEdit = fry_CreateTextField("time limit edit", "5", 135, 85, 25, 20, False, matchSetupPanel)
	
	penaltyTitle:fry_TLabel = fry_CreateLabel("penalty title", "Respawn Penalty:", 10, 110, 100, 24, 0, 0, matchSetupPanel)
	penaltyEdit = fry_CreateTextField("penalty edit", "250", 135, 105, 25, 20, False, matchSetupPanel)
	
	minimapCheck = fry_CreateCheckBox("minimap check", "Disable Minimap", 10, 150, 0, matchSetupPanel)
	
	mapTitle:fry_TLabel = fry_CreateLabel("map title", "Game Map", 10, 200, 100, 24, 0, 0, matchSetupPanel)
	mapCombo:fry_TComboBox = fry_CreateComboBox("mapcombo", "Select Game Map", 10, 220, 150, 24, 150, 200, 18, matchSetupPanel)
	
	vehicleTitle:fry_TLabel = fry_CreateLabel("vehicle title", "Player Vehicle", 230, 10, 100, 24, 0, 0, matchSetupPanel)
	vehicleCombo:fry_TComboBox = fry_CreateComboBox("vehiclecombo", "Select Vehicle", 230, 30, 150, 24, 150, 200, 18, matchSetupPanel)
	
	plyrTeamTitle:fry_TLabel = fry_CreateLabel("player team title", "Team", 400, 10, 150, 24, 0, 0, matchSetupPanel)
	plyrTeamCombo:fry_TComboBox = fry_CreateComboBox("playerteamcombo", "", 400, 30, 50, 24, 150, 200, 18, matchSetupPanel)
	
	startMatchB = fry_CreateButton("startMatchB","Start Match",660,60,150,24,matchSetupPanel)
	defaultMatchB = fry_CreateButton("defaultMatchB","Default Match",660,90,150,24,matchSetupPanel)
	saveDefaultMatchB = fry_CreateButton("saveDefaultMatchB","Save Match",660,120,150,24,matchSetupPanel)
	
	plyrTeamCombo.AddItem("1")
	plyrTeamCombo.AddItem("2")
	plyrTeamCombo.AddItem("3")
	plyrTeamCombo.AddItem("4")
	plyrTeamCombo.AddItem("N/A")
	plyrTeamCombo.SelectItem(4)
	
	vehicleCombo.AddItem("Samurai")
	vehicleCombo.AddItem("Rabbit")
	vehicleCombo.AddItem("Flash")
	vehicleCombo.AddItem("Sentinel")
	vehicleCombo.AddItem("Tanker")
	
	gameTypeCombo.AddItem("Deathmatch")
	gameTypeCombo.AddItem("Big Dog")
	
	ai1combo.AddItem("AI - Weakling")
	ai1combo.AddItem("AI - Moderate")
	ai1combo.AddItem("AI - Offensive")
	ai1combo.AddItem("No AI")
	ai2combo.AddItem("AI - Weakling")
	ai2combo.AddItem("AI - Moderate")
	ai2combo.AddItem("AI - Offensive")
	ai2combo.AddItem("No AI")
	ai3combo.AddItem("AI - Weakling")
	ai3combo.AddItem("AI - Moderate")
	ai3combo.AddItem("AI - Offensive")
	ai3combo.AddItem("No AI")
	ai4combo.AddItem("AI - Weakling")
	ai4combo.AddItem("AI - Moderate")
	ai4combo.AddItem("AI - Offensive")
	ai4combo.AddItem("No AI")
	ai5combo.AddItem("AI - Weakling")
	ai5combo.AddItem("AI - Moderate")
	ai5combo.AddItem("AI - Offensive")
	ai5combo.AddItem("No AI")
	
	GatherMapFiles()
	gameTypeCombo.selectItem(0)
	
	ai1teamcombo.AddItem("1")
	ai1teamcombo.AddItem("2")
	ai1teamcombo.AddItem("3")
	ai1teamcombo.AddItem("4")
	ai1teamcombo.AddItem("N/A")
	ai2teamcombo.AddItem("1")
	ai2teamcombo.AddItem("2")
	ai2teamcombo.AddItem("3")
	ai2teamcombo.AddItem("4")
	ai2teamcombo.AddItem("N/A")
	ai3teamcombo.AddItem("1")
	ai3teamcombo.AddItem("2")
	ai3teamcombo.AddItem("3")
	ai3teamcombo.AddItem("4")
	ai3teamcombo.AddItem("N/A")
	ai4teamcombo.AddItem("1")
	ai4teamcombo.AddItem("2")
	ai4teamcombo.AddItem("3")
	ai4teamcombo.AddItem("4")
	ai4teamcombo.AddItem("N/A")
	ai5teamcombo.AddItem("1")
	ai5teamcombo.AddItem("2")
	ai5teamcombo.AddItem("3")
	ai5teamcombo.AddItem("4")
	ai5teamcombo.AddItem("N/A")
	
	ai1teamcombo.SelectItem(4)
	ai2teamcombo.SelectItem(4)
	ai3teamcombo.SelectItem(4)
	ai4teamcombo.SelectItem(4)
	ai5teamcombo.SelectItem(4)
	
	' Match Results GUI
	resultsTable:fry_TTable = fry_CreateTable("Match Results", 10, 10, 840, "Contestant", 200, 18, True, matchResultsPanel)
	resultsTable.AddColumn("Kills", 200)
	resultsTable.AddColumn("Deaths", 200)
	resultsTable.AddColumn("Points", 200)
	
	continueMatchB = fry_CreateButton("continueMatchB", "Continue", 312, 160, 200, 24, matchResultsPanel)
	
	continueMatchB.SetLink(mainMenuScreen)

	fry_SetScreen("Main Menu")
EndFunction


Function GatherMapFiles()
	dir=ReadDir(CurrentDir()+"/Arenas/")

	If Not dir RuntimeError "failed to read current directory"

	Repeat
		t$=NextFile( dir )
		If t="" Exit
		If ExtractExt(t$) = "ddm"
			mapCombo.AddItem(t$)
		EndIf
	Forever

	CloseDir dir
EndFunction
